class StateMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Stan, stany włączania pojazdu");
        var vehicle = new Vehicle("truck");
        //System.out.println("Stan pojazdu - stan1: " + vehicle.getState());

        var initState = new InitState();
        var startState = new StartState();
        var stopState = new StopState();

        vehicle.setState(initState);
        System.out.println("Stan pojazdu - stan2: " + vehicle.getState());
        vehicle.setState(startState);
        System.out.println("Stan pojazdu - stan3: " + vehicle.getState());
        vehicle.setState(stopState);
        System.out.println("Stan pojazdu - stan4: " + vehicle.getState());
    }
}
